constant.h File Reference

Go to the source code of this file.

## Data Structures

struct | rb_const_entry_struct

## Typedefs

typedef struct rb_const_entry_struct | rb_const_entry_t

## Enumerations

enum | rb_const_flag_t { CONST_PUBLIC = 0x00, CONST_PRIVATE = 0x01 }

## Functions

VALUE | rb_mod_private_constant (int argc, VALUE *argv, VALUE obj)
VALUE | rb_mod_public_constant (int argc, VALUE *argv, VALUE obj)
void | rb_free_const_table (st_table *tbl)
VALUE | rb_public_const_get (VALUE klass, ID id)
VALUE | rb_public_const_get_at (VALUE klass, ID id)
VALUE | rb_public_const_get_from (VALUE klass, ID id)
int | rb_public_const_defined (VALUE klass, ID id)
int | rb_public_const_defined_at (VALUE klass, ID id)
int | rb_public_const_defined_from (VALUE klass, ID id)

## Typedef Documentation

typedef struct rb_const_entry_struct rb_const_entry_t

## Enumeration Type Documentation

enum rb_const_flag_t

Enumerator
CONST_PUBLIC |
CONST_PRIVATE |

Definition at line 14 of file constant.h.

## Function Documentation

void rb_free_const_table | ( | st_table * | tbl | ) |

Definition at line 1605 of file gc.c.

References free_const_entry_i(), st_foreach, and st_free_table.

Referenced by init_copy(), obj_free(), and rb_mod_init_copy().

VALUE rb_mod_private_constant | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | obj
| ) |  |

Definition at line 1982 of file variable.c.

References CONST_PRIVATE, and set_const_visibility().

Referenced by Init_Object().

VALUE rb_mod_public_constant | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | obj
| ) |  |

Definition at line 1996 of file variable.c.

References CONST_PUBLIC, and set_const_visibility().

Referenced by Init_Object().

int rb_public_const_defined | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 1865 of file variable.c.

References FALSE, rb_const_defined_0(), and TRUE.

int rb_public_const_defined_at | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 1871 of file variable.c.

References FALSE, rb_const_defined_0(), and TRUE.

int rb_public_const_defined_from | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 1859 of file variable.c.

References rb_const_defined_0(), and TRUE.

Referenced by vm_get_ev_const().

VALUE rb_public_const_get | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 1653 of file variable.c.

References FALSE, rb_const_get_0(), and TRUE.

VALUE rb_public_const_get_at | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 1659 of file variable.c.

References FALSE, rb_const_get_0(), and TRUE.

VALUE rb_public_const_get_from | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 1647 of file variable.c.

References rb_const_get_0(), and TRUE.

Referenced by vm_get_ev_const().